| Wireshark 4.7.3 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Public Attributes | List of all members
rlc_segment Struct Reference

Represents a single RLC PDU or control segment captured from the air interface. More...

`#include <tap-rlc-graph.h>`

## Public Attributes
uint32_t | frameNum
uint16_t | SN
uint8_t * | data
uint16_t | length
struct rlc_segment * | next
uint32_t | num
nstime_t | rel_ts
bool | isControlPDU
uint32_t | SN
uint16_t | isResegmented
uint32_t | ACKNo
uint16_t | noOfNACKs
uint32_t | NACKs [MAX_NACKs]
uint16_t | pduLength
uint8_t | rat
uint16_t | ueid
uint16_t | channelType
uint16_t | channelId
uint8_t | rlcMode
uint8_t | direction
uint16_t | sequenceNumberLength

## Detailed Description

Represents a single RLC PDU or control segment captured from the air interface.

## Member Data Documentation

## ◆ ACKNo

uint32_t rlc_segment::ACKNo

Acknowledgement sequence number carried in a STATUS PDU.

## ◆ channelId

uint16_t rlc_segment::channelId

Logical channel ID within the UE.

## ◆ channelType

uint16_t rlc_segment::channelType

Logical channel type (e.g., DCCH, DTCH).

## ◆ direction

uint8_t rlc_segment::direction

Transmission direction: uplink or downlink.

## ◆ isControlPDU

bool rlc_segment::isControlPDU

True if this segment is a control PDU (STATUS); false for data PDUs.

## ◆ isResegmented

uint16_t rlc_segment::isResegmented

Non-zero if this PDU is a resegmented AMD PDU.

## ◆ NACKs

uint32_t rlc_segment::NACKs[MAX_NACKs]

Array of sequence numbers negatively acknowledged in a STATUS PDU.

## ◆ next

struct rlc_segment* rlc_segment::next

Pointer to the next segment in the singly-linked list.

## ◆ noOfNACKs

uint16_t rlc_segment::noOfNACKs

Number of NACK entries present in a STATUS PDU.

## ◆ num

uint32_t rlc_segment::num

Wireshark frame number of the packet containing this segment.

## ◆ pduLength

uint16_t rlc_segment::pduLength

Length of the PDU in bytes.

## ◆ rat

uint8_t rlc_segment::rat

Radio Access Technology (e.g., LTE, NR).

## ◆ rel_ts

nstime_t rlc_segment::rel_ts

Timestamp of the segment relative to the start of the capture.

## ◆ rlcMode

uint8_t rlc_segment::rlcMode

RLC mode: TM, UM, or AM.

## ◆ sequenceNumberLength

uint16_t rlc_segment::sequenceNumberLength

Configured sequence number field length in bits.

## ◆ SN

uint32_t rlc_segment::SN

RLC Sequence Number of this data PDU.

## ◆ ueid

uint16_t rlc_segment::ueid

UE identifier that this segment belongs to.

The documentation for this struct was generated from the following files:

- /builds/wireshark/wireshark/epan/dissectors/packet-rlc-lte.c
- /builds/wireshark/wireshark/ui/tap-rlc-graph.h